Skip to main content

Updates an image

PUT /v1/image/{imageID}

Summary​

Updates an image.

Details​

Request body: JSON object.

Authentication​

No operation-level security requirement is documented here.

Parameters​

NameInTypeRequiredDescriptionExample
imageIDpathinteger (int64)YesThe image ID.1

Request Body​

Required: Yes

application/json​

  • key (integer (int64), optional)
  • deviceID (integer (int64), optional)
  • fileID (integer (int64), optional)
  • imageStatus (integer (int64), optional)
  • imageTypeID (integer (int64), optional)
  • localFilePath (string, optional)
  • height (integer (int64), optional)
  • width (integer (int64), optional)
  • filesize (integer (int64), optional)
  • startTime (integer (int64), optional)
  • startTimeMs (integer (int64), optional)
  • tagListID (integer (int64), optional)
  • creationDate (string (date-time), optional)

Example

{
"key": 1,
"deviceID": 201,
"fileID": 1,
"imageStatus": 1,
"imageTypeID": 1,
"localFilePath": "Example value",
"height": 1,
"width": 1,
"filesize": 1,
"startTime": 1,
"startTimeMs": 1,
"tagListID": 1,
"creationDate": "2026-03-30T12:00:00.0000000Z"
}

Responses​

200​

Success. No response body.

No response body schema documented.